image: fedora:latest

cache:
  key: dnf-cache
  paths:
    - /var/cache/dnf

pages:
  stage: deploy
  script:
  - dnf --setopt=keepcache=True --setopt=install_weak_deps=False install -y make asciidoctor
  - OUTPUT=public make clean build
  artifacts:
    paths:
    - public
  only:
  - main
